from django.contrib import admin

from ..models import ExerciseType


class FrequentExerciseTypeAdmin(admin.ModelAdmin):
    list_display = ('exercise_type_id', 'name', 'exercise_count')

    def get_queryset(self, request):
        qs = super(FrequentExerciseTypeAdmin, self).get_queryset(request)
        return qs.filter(active=True)


admin.site.register(ExerciseType, FrequentExerciseTypeAdmin)
admin.autodiscover()
