from django.db import models
from django.utils.translation import ugettext_lazy as _

from ..models.exercises import Exercises


class ExerciseType(models.Model):
    exercise_type_id = models.AutoField(primary_key=True)
    name = models.CharField(max_length=50)
    active = models.BooleanField()


    def has_add_permission(self, request):
        return False

    def has_delete_permission(self, request, obj=None):
        return False

    @property
    def exercise_count(self):
        count = Exercises.objects.filter(exercise_type_id=self.exercise_type_id).count()
        return count

    class Meta:
        db_table = 'exercise_type'
        verbose_name = _("Frequent Exercise")
        verbose_name_plural = _("Frequent Exercises")

